Add Custom Declaration number to the Order
PUT /api/marketplace/v3/orders/{orderId}/meta/customs-declarationBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Label Identifiers · Specification doc ↗
The method updates the customs declaration number in the label identifiers of the assembly order. An assembly order can have only one customs declaration number. You can add customs declaration number to the assembly order only if the customsDeclaration field is returned in the response of the Assembly Order Label Identifiers method, and the assembly order is in the confirm status.
Sellers from Armenia must specify the customs declaration number for items produced outside the EAEU if an order from Armenia is delivered to the Russian Federation.
Request limit per one seller account for all methods for adding FBS label identifiers:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 1000 requests | 60 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema object, required
customsDeclarationstring(required) — Customs declaration number
Responses
| Code | Description | Schema |
|---|---|---|
204 | Updated | — |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
404 | Not found | Error |
409 | Error updating custom declaration number | Error |
429 | Too many requests | object |
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 404:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 409:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.put_v3_orders_order_id_meta_customs_declaration(order_id=..., put_v3_orders_order_id_meta_customs_declaration_request=...)
print(result)import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.putV3OrdersOrderIdMetaCustomsDeclaration(orderId, putV3OrdersOrderIdMetaCustomsDeclarationRequest);
console.log(data);import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.PutV3OrdersOrderIdMetaCustomsDeclaration(context.Background(), orderId).PutV3OrdersOrderIdMetaCustomsDeclarationRequest(putV3OrdersOrderIdMetaCustomsDeclarationRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.putV3OrdersOrderIdMetaCustomsDeclaration(orderId, putV3OrdersOrderIdMetaCustomsDeclarationRequest));use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->putV3OrdersOrderIdMetaCustomsDeclaration($order_id, $put_v3_orders_order_id_meta_customs_declaration_request));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.PutV3OrdersOrderIdMetaCustomsDeclaration(orderId, Тело).Тело);using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.PutV3OrdersOrderIdMetaCustomsDeclaration(orderId, putV3OrdersOrderIdMetaCustomsDeclarationRequest));use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::put_v3_orders_order_id_meta_customs_declaration(&cfg, order_id, put_v3_orders_order_id_meta_customs_declaration_request).await;
println!("{:#?}", result);
}